[24064] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23668 - in trunk/debathena/config: . tex-config tex-config/debian

daemon@ATHENA.MIT.EDU (Evan Broder)
Sun Mar 29 18:37:09 2009

X-Barracuda-Envelope-From: broder@mit.edu
Date: Sun, 29 Mar 2009 18:36:42 -0400
From: Evan Broder <broder@MIT.EDU>
Message-Id: <200903292236.n2TMagHH018172@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: broder
Date: 2009-03-29 18:36:42 -0400 (Sun, 29 Mar 2009)
New Revision: 23668

Added:
   trunk/debathena/config/tex-config/
   trunk/debathena/config/tex-config/debian/
   trunk/debathena/config/tex-config/debian/changelog
   trunk/debathena/config/tex-config/debian/compat
   trunk/debathena/config/tex-config/debian/control.in
   trunk/debathena/config/tex-config/debian/copyright
   trunk/debathena/config/tex-config/debian/debathena-tex-config.postinst
   trunk/debathena/config/tex-config/debian/debathena-tex-config.postrm
   trunk/debathena/config/tex-config/debian/rules
Log:
Create debathena-tex-config package to change papersize default to letter


Added: trunk/debathena/config/tex-config/debian/changelog
===================================================================
--- trunk/debathena/config/tex-config/debian/changelog	2009-03-29 19:56:55 UTC (rev 23667)
+++ trunk/debathena/config/tex-config/debian/changelog	2009-03-29 22:36:42 UTC (rev 23668)
@@ -0,0 +1,5 @@
+debathena-tex-config (1.0) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Evan Broder <broder@mit.edu>  Sun, 29 Mar 2009 16:26:11 -0400

Added: trunk/debathena/config/tex-config/debian/compat
===================================================================
--- trunk/debathena/config/tex-config/debian/compat	2009-03-29 19:56:55 UTC (rev 23667)
+++ trunk/debathena/config/tex-config/debian/compat	2009-03-29 22:36:42 UTC (rev 23668)
@@ -0,0 +1 @@
+5

Added: trunk/debathena/config/tex-config/debian/control.in
===================================================================
--- trunk/debathena/config/tex-config/debian/control.in	2009-03-29 19:56:55 UTC (rev 23667)
+++ trunk/debathena/config/tex-config/debian/control.in	2009-03-29 22:36:42 UTC (rev 23668)
@@ -0,0 +1,13 @@
+Source: debathena-tex-config
+Section: debathena-config/tex
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, texlive-base-bin, dvipdfmx
+Standards-Version: 3.8.0
+
+Package: debathena-tex-config
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-base-bin
+Description: TeX configuration for Debathena
+ This package configures TeX for the Debathena system by defaulting to
+ letter paper for all TeX utilities.

Added: trunk/debathena/config/tex-config/debian/copyright
===================================================================
--- trunk/debathena/config/tex-config/debian/copyright	2009-03-29 19:56:55 UTC (rev 23667)
+++ trunk/debathena/config/tex-config/debian/copyright	2009-03-29 22:36:42 UTC (rev 23668)
@@ -0,0 +1,32 @@
+This package was created as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk/config>, and is licensed as
+follows:
+
+  Copyright © 2009 Evan Broder
+
+  Permission is hereby granted, free of charge, to any person
+  obtaining a copy of this software and associated documentation files
+  (the "Software"), to deal in the Software without restriction,
+  including without limitation the rights to use, copy, modify, merge,
+  publish, distribute, sublicense, and/or sell copies of the Software,
+  and to permit persons to whom the Software is furnished to do so,
+  subject to the following conditions:
+
+  The above copyright notice and this permission notice shall be
+  included in all copies or substantial portions of the Software.
+
+  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
+  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
+  ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+  SOFTWARE.
+
+The Debian packaging is Copyright © 2009 Evan Broder, and has the same
+license as the original software.

Added: trunk/debathena/config/tex-config/debian/debathena-tex-config.postinst
===================================================================
--- trunk/debathena/config/tex-config/debian/debathena-tex-config.postinst	2009-03-29 19:56:55 UTC (rev 23667)
+++ trunk/debathena/config/tex-config/debian/debathena-tex-config.postinst	2009-03-29 22:36:42 UTC (rev 23668)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        fmtutil-sys --refresh
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


Property changes on: trunk/debathena/config/tex-config/debian/debathena-tex-config.postinst
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/debathena/config/tex-config/debian/debathena-tex-config.postrm
===================================================================
--- trunk/debathena/config/tex-config/debian/debathena-tex-config.postrm	2009-03-29 19:56:55 UTC (rev 23667)
+++ trunk/debathena/config/tex-config/debian/debathena-tex-config.postrm	2009-03-29 22:36:42 UTC (rev 23668)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+        fmtutil-sys --refresh
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


Property changes on: trunk/debathena/config/tex-config/debian/debathena-tex-config.postrm
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/debathena/config/tex-config/debian/rules
===================================================================
--- trunk/debathena/config/tex-config/debian/rules	2009-03-29 19:56:55 UTC (rev 23667)
+++ trunk/debathena/config/tex-config/debian/rules	2009-03-29 22:36:42 UTC (rev 23668)
@@ -0,0 +1,27 @@
+#!/usr/bin/make -f
+
+BUILD_ROOT=$(CURDIR)/files
+TEXMFVAR=$(CURDIR)/junk
+TEXMFCONFIG=etc/texmf
+
+DEB_DIVERT_EXTENSION = .debathena
+DEB_DIVERT_FILES_debathena-tex-config += \
+	$(shell cd $(BUILD_ROOT) && find . -type f | sed 's,^\.,,; s,$$,.debathena,')
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/config-package.mk
+
+build/debathena-tex-config::
+	TEXMFVAR=$(TEXMFVAR) TEXMFCONFIG=$(BUILD_ROOT)/$(TEXMFCONFIG) texconfig paper letter
+
+install/debathena-tex-config::
+	set -x; \
+	cd $(BUILD_ROOT); \
+	for f in $$(find $(TEXMFCONFIG) -type f); do \
+	    mkdir -p $(DEB_DESTDIR)$$(dirname $$f); \
+	    cp -a $$f $(DEB_DESTDIR)$$f.debathena; \
+	done
+
+clean::
+	rm -rf $(CURDIR)/files
+	rm -rf $(TEXMFVAR)


Property changes on: trunk/debathena/config/tex-config/debian/rules
___________________________________________________________________
Name: svn:executable
   + *


home help back first fref pref prev next nref lref last post